# Interface InitializableBaseEvents

A type that maps event names to their corresponding event object types for an instance of InitializableBase.

interface InitializableBaseEvents {
initializeWarning: InitializeWarningEvent;
}

#### Hierarchy (view full)

- InitializableBaseEvents
  - MapExtensionEvents

#####
Index

### Properties

initializeWarning

##
Properties

### initializeWarning

initializeWarning: InitializeWarningEvent

Fires when a setting is changed, either locally or by a parent settings instance. The event object contains the name of the setting that changed.